/*
 * shutdown.c
 *
 * Copyright 2004, Minoru Murashima. All rights reserved.
 * Distributed under the terms of the BSD License.
 */


#include<unistd.h>
#include<sys/types.h>
#include<errno.h>
#include<sys/socket.h>
#include<netinet/in.h>
#include<sys/ip.h>


extern int _shutdown(int s, int how);


int shutdown(int s, int how)
{
	if((how&(SHUT_RD|SHUT_WR|SHUT_RDWR))==0)return _error(-EINVAL);

	return _shutdown(s,how);
}
